GET /twitter/search

Recent search (Zernio path), last 7 days, X search syntax. Every post returned is billed by X

GET
/twitter/search

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

X account id

query*string

X search query

limit?integer

Maximum items (default 25, max 100)

Range1 <= value <= 100
Default25
cursor?string

nextCursor

sortOrder?string

Order

Value in"recency""relevancy"

Response Body

{accountId, query, posts, nextCursor}

application/json
  1. response
accountId?string
query?string
posts?array<>
nextCursor?string|null
Example Request
curl -X GET 'https://example.com/api/v1/twitter/search?accountId=string&query=string'
Example Response
{  "accountId": "string",  "query": "string",  "posts": [    {      "id": "string",      "text": "string",      "username": "string",      "authorId": "string",      "timestamp": "2019-08-24T14:15:22Z",      "parentId": "string",      "conversationId": "string",      "url": "string",      "metrics": {        "impressions": 0,        "likes": 0,        "replies": 0,        "reposts": 0,        "quotes": 0,        "bookmarks": 0      },      "platform": "x"    }  ],  "nextCursor": "string"}